"use strict";
var core_1 = require('@angular/core');
var common_1 = require('@angular/common');
var forms_1 = require('@angular/forms');
var datepicker_1 = require('./src/datepicker/datepicker');
var datepicker_container_component_1 = require('./src/datepicker-container/datepicker-container.component');
var input_datepicker_component_1 = require('./src/input-datepicker/input-datepicker.component');
var text_datepicker_component_1 = require('./src/text-datepicker/text-datepicker.component');
var datepicker_options_1 = require('./src/datepicker-options');
var datepicker_2 = require('./src/datepicker/datepicker');
exports.DatePickerComponent = datepicker_2.DatePickerComponent;
var datepicker_container_component_2 = require('./src/datepicker-container/datepicker-container.component');
exports.DatePickerContainerComponent = datepicker_container_component_2.DatePickerContainerComponent;
var input_datepicker_component_2 = require('./src/input-datepicker/input-datepicker.component');
exports.InputDatePickerComponent = input_datepicker_component_2.InputDatePickerComponent;
var text_datepicker_component_2 = require('./src/text-datepicker/text-datepicker.component');
exports.TextDatePickerComponent = text_datepicker_component_2.TextDatePickerComponent;
var datepicker_options_2 = require('./src/datepicker-options');
exports.AngularDatepickerOptions = datepicker_options_2.AngularDatepickerOptions;
var AngularDatepickerModule = (function () {
    function AngularDatepickerModule() {
    }
    AngularDatepickerModule.forRoot = function (config) {
        return {
            ngModule: AngularDatepickerModule,
            providers: [
                { provide: datepicker_options_1.AngularDatepickerOptions, useValue: config }
            ]
        };
    };
    AngularDatepickerModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule,
                        forms_1.ReactiveFormsModule,
                        forms_1.FormsModule
                    ],
                    declarations: [
                        datepicker_1.DatePickerComponent,
                        datepicker_container_component_1.DatePickerContainerComponent,
                        input_datepicker_component_1.InputDatePickerComponent,
                        text_datepicker_component_1.TextDatePickerComponent
                    ],
                    providers: [],
                    exports: [
                        datepicker_1.DatePickerComponent,
                        datepicker_container_component_1.DatePickerContainerComponent,
                        input_datepicker_component_1.InputDatePickerComponent,
                        text_datepicker_component_1.TextDatePickerComponent
                    ]
                },] },
    ];
    /** @nocollapse */
    AngularDatepickerModule.ctorParameters = [];
    return AngularDatepickerModule;
}());
exports.AngularDatepickerModule = AngularDatepickerModule;
//# sourceMappingURL=angular-datepickr.js.map