"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var core_1 = require('@angular/core');
var forms_1 = require('@angular/forms');
var datepicker_options_1 = require('../datepicker-options');
var datepicker_1 = require('../datepicker/datepicker');
var datepicker_container_component_1 = require('../datepicker-container/datepicker-container.component');
exports.CALENDAR_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return TextDatePickerComponent; }),
    multi: true
};
var TextDatePickerComponent = (function (_super) {
    __extends(TextDatePickerComponent, _super);
    function TextDatePickerComponent(elRef, opts) {
        _super.call(this, elRef, opts);
        this.elRef = elRef;
        this.opts = opts;
    }
    TextDatePickerComponent.decorators = [
        { type: core_1.Component, args: [{
                    // moduleId: module.id,
                    selector: 'jb-text-datepicker',
                    templateUrl: './text-datepicker.component.html',
                    styleUrls: ['./text-datepicker.component.css'],
                    providers: [exports.CALENDAR_VALUE_ACCESSOR]
                },] },
    ];
    /** @nocollapse */
    TextDatePickerComponent.ctorParameters = [
        { type: core_1.ElementRef, },
        { type: datepicker_options_1.AngularDatepickerOptions, decorators: [{ type: core_1.Optional },] },
    ];
    TextDatePickerComponent.propDecorators = {
        'datePicker': [{ type: core_1.ViewChild, args: [datepicker_container_component_1.DatePickerContainerComponent,] },],
        'options': [{ type: core_1.Input },],
    };
    return TextDatePickerComponent;
}(datepicker_1.DatePickerComponent));
exports.TextDatePickerComponent = TextDatePickerComponent;
//# sourceMappingURL=text-datepicker.component.js.map